cdac.medinfo.sdk.hl7282.utils

## Enum EnumAcknowledgementMode

- java.lang.Object
- - java.lang.Enum<EnumAcknowledgementMode>
  - - cdac.medinfo.sdk.hl7282.utils.EnumAcknowledgementMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumAcknowledgementMode>

      public enum EnumAcknowledgementMode
      extends java.lang.Enum<EnumAcknowledgementMode>

  Enum used for Acknowledgment Mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENHANCED_MODE` Enum to Indicate Enhanced mode
    `ORIGINAL_MODE` Enum to indicate Original mode

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns the Integer value of this enum.
    `static EnumAcknowledgementMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumAcknowledgementMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL_MODE

          public static final EnumAcknowledgementMode ORIGINAL_MODE

      Enum to indicate Original mode

    - #### ENHANCED_MODE

          public static final EnumAcknowledgementMode ENHANCED_MODE

      Enum to Indicate Enhanced mode

  - ### Method Detail

    - #### values

          public static EnumAcknowledgementMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumAcknowledgementMode c : EnumAcknowledgementMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumAcknowledgementMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns the Integer value of this enum.
      Returns:
        int - integer value of Segment Cardinality & Optionality